<?php
class Lev_Course_Class_Dates_Logic_Hooks {
    
    public function timeFieldUpdate($bean, $event, $arguments){
        if(isset($bean->start_time_text_c))
        {
            
            $meridiem = substr($bean->start_time_text_c, 1, 2);
            $hours = substr($bean->start_time_text_c, 3, 2);
            $minutes = substr($bean->start_time_text_c, 6, 2);


            if($meridiem == 'PM')
                $hours = $hours + 12;

            $bean->start_time_military_c = $hours . ':' . $minutes . ':00';
        }

        if(isset($bean->end_time_text_c))
        {
            
            $meridiem = substr($bean->end_time_text_c, 1, 2);
            $hours = substr($bean->end_time_text_c, 3, 2);
            $minutes = substr($bean->end_time_text_c, 6, 2);


            if($meridiem == 'PM')
                $hours = $hours + 12;

            $bean->end_time_military_c = $hours . ':' . $minutes . ':00';

        }
    }

    public function setDayOfWeek($bean, $event, $args){
        if (isset($bean->class_date))
        {
            $bean->class_day_of_week = date("l",  strtotime($bean->class_date));
        }
        else
        {
            $bean->class_day_of_week = '';
        }
    }

    //save parent course to finish the calculations and auto populate fields
    public function saveParentCourse($bean, $event, $args){
        //get related beans
        $parent_course = $bean->get_linked_beans('lev_courses_lev_course_class_dates','Lev_Courses');

        if($parent_course[0]->id !=''){

                require_once('modules/Lev_Courses/Lev_Courses.php');
                $lev_course = new Lev_Courses();
                $lev_course->retrieve($parent_course[0]->id);
                $lev_course->save();
        }

    }

}
?>
