| Module | hook | order | file | class | function | Description|
| --- | --- | --- | --- | --- | --- | --- | --- |
| Lev_Contracts | before_save | 1 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_ID | Looks for last contract id and adds next id this record |
| Lev_Contracts | before_save | 2 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Name | Takes the associated account name - and id and Sets Name |
| Lev_Contracts | before_save | 3 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Amount | Sums all the assocated courses total_client_fee and Sets Contract Amount |
| Lev_Contracts | before_save | 4 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Expense | Sums all associcated courses total_expense and Sets Contract Expense |
| Lev_Contracts | before_save | 5 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Net | Subtracts contract_expance from contract_amount and Sets Contract Net |
| Lev_Contracts | before_save | 6 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Gross | Unless contract_amount is 0 or '' then $focus->contract_net / $focus->contract_amount * 100 is Set to Contract Gross |
| Lev_Contracts | before_save | 7 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Start_Day | Set Start Day of Week |
| Lev_Contracts | before_save | 8 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_End_Day | Set End Day of Week |
| Lev_Contracts | before_save | 9 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Academic_Period | Set Academic Period |
| Lev_Courses | before_save | 2 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Course_Name | Set Course Name equal to related Course Catalog name |
| Lev_Courses | before_save | 3 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Start_Date | Set Start Date |
| Lev_Courses | before_save | 4 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_End_Date | Set End Date |
| Lev_Courses | before_save | 5 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Academic_Period | Set Academic Period |
| Lev_Courses | before_save | 6 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Total_Fee | Set Total Fee |
| Lev_Courses | before_save | 7 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Total_Course_Expense | Set Course Total Expense |
| Lev_Courses | before_save | 8 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Course_Net | Set Course Net |
| Lev_Courses | before_save | 9 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Gross_Margin_Percent | Set Gross Margin Percent |
| Lev_Courses | before_save | 14 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Total_Course_Expense | Set Course Total Expense |
| Lev_Courses | before_save | 15 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Course_Net | Set Course Net |
| Lev_Courses | after_retrieve | 11 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | setAlertField | Check Whether to Highlight Title |
| Lev_Courses | before_save | 19 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Check_Hourly_Fee | Check Hourly Fee |
| Lev_Courses | after_save | 1 | custom/Resources/logic_hooks/Lev_Courses_Logic_Hooks.php | Lev_Courses_Logic_Hooks | saveParentCourse | update parent |	
| Lev_Courses | after_save | 2 | custom/Resources/logic_hooks/Lev_Courses_Logic_Hooks.php | Lev_Courses_Logic_Hooks | duplicateRelations | Copy Relations during Duplication |
| Lev_Course_Class_Dates | before_save | 1 | custom/Resources/logic_hooks/Lev_Course_Class_Dates_Logic_Hooks.php | Lev_Course_Class_Dates_Logic_Hooks | timeFieldUpdate | Update time field |
| Lev_Course_Class_Dates | before_save | 2 | custom/Resources/logic_hooks/Lev_Course_Class_Dates_Logic_Hooks.php | Lev_Course_Class_Dates_Logic_Hooks | setDayOfWeek | Set day of week |
| Lev_Course_Class_Dates | after_save | 1 | custom/Resources/logic_hooks/Lev_Course_Class_Dates_Logic_Hooks.php | Lev_Course_Class_Dates_Logic_Hooks | saveParentCourse | Save Parent(Course) | 
| Lev_Course_Class_Dates | after_save | 2 | custom/Resources/logic_hooks/Lev_Course_Class_Dates_Logic_Hooks.php | Lev_Course_Class_Dates_Logic_Hooks | duplicateRelations | When a Course Date is duplicated, copy the Course relation along with it |



| Lev_Courses | before_save | 19 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Course_Name | Check Course status |

| Lev_Courses | before_save | 16 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Gross_Margin_Percent | Set Gross Margin Percent 
| Lev_Contracts | after_retrieve | 1 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Amount | Set Contract Amount |
| Lev_Contracts | after_retrieve | 2 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Expense | Set Contract Expense |
| Lev_Contracts | after_retrieve | 3 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Net | Set Contract Net |
| Lev_Contracts | after_retrieve | 4 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Gross | Set Contract Gross |
| Lev_Contracts | after_retrieve | 5 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Academic_Period | Set Academic Period |	

| Lev_Courses | after_retrieve | 1 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Request_ContractID | Set ContractID Request |
| Lev_Courses | after_retrieve | 2 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Total_Fee | Set Total Fee |
| Lev_Courses | after_retrieve | 3 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Total_Course_Expense | Set Course Total Expense |	
| Lev_Courses | after_retrieve | 4 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Course_Net | Set Course Net |	
| Lev_Courses | after_retrieve | 5 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Gross_Margin_Percent | Set Gross Margin Percent |
| Lev_Courses | after_retrieve | 6 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Start_Date | Set Start Date |	
| Lev_Courses | after_retrieve | 7 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_End_Date | Set End Date |
| Lev_Courses | after_retrieve | 9 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Check_to_Highlight | Check Whether to Highlight Title |
| Lev_Courses | after_retrieve | 10 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Check_Course_Status | Check Course status |	

| Opportunities | before_save | 1 | custom/Resources/logic_hooks/Opportunities_sent_email.php | sent_email | sent_email | Sent Email |


| Lev_Contracts | before_save | 10 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Amount | Set Contract Amount |
| Lev_Contracts | before_save | 11 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Expense | Set Contract Expense |
| Lev_Contracts | before_save | 12 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Net | Set Contract Net |
| Lev_Contracts | before_save | 13 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Contract_Gross | Set Contract Gross |
| Lev_Contracts | before_save | 14 | custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php | Lev_Contracts_Logic_Hooks | Set_Academic_Period | Set Academic Period |



| Lev_Courses | before_save | 10 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Start_Date | Set Start Date |
| Lev_Courses | before_save | 11 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_End_Date | Set End Date |
| Lev_Courses | before_save | 12 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Academic_Period | Set Academic Period |
| Lev_Courses | before_save | 13 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Total_Fee | Set Total Fee |

| Lev_Courses | before_save | 2 | custom/Resources/logic_hooks/Courses_Logic_Hooks.php | Courses_Logic_Hooks | Set_Curriculum_Type | Set Curriculum Type |


Resources:

Manifest
All packages have manifests. Module loadable packages rely on manifest.php file to define the basic properties and installation steps for the package. This documentation explains the various components that make up the manifest file.
https://support.sugarcrm.com/Documentation/Sugar_Developer/Sugar_Developer_Guide_9.0/Architecture/Module_Loader/Introduction_to_the_Manifest/index.html

Logic Hooks
The LogicHooks extension adds actions to specific events, for example, before saving a bean.  For more information on logic hooks in Sugar, please refer to the following links.
https://support.sugarcrm.com/Documentation/Sugar_Developer/Sugar_Developer_Guide_9.0/Architecture/Extensions/LogicHooks/
https://support.sugarcrm.com/Documentation/Sugar_Developer/Sugar_Developer_Guide_9.0/Architecture/Logic_Hooks/

