<?php

$manifest = array (
  0 => 
  array (
    'acceptable_sugar_versions' => 
    array (
      0 => '9.0.3',
    ),
  ),
  1 => 
  array (
    'acceptable_sugar_flavors' => 
    array (
      0 => 'PRO',
    ),
  ),
  'readme' => '',
  'key' => 'JCCC',
  'author' => 'JCCC',
  'description' => '',
  'icon' => '',
  'is_uninstallable' => true,
  'name' => 'CE Logic Hooks',
  'published_date' => '2020-10-12',
  'type' => 'module',
  'version' => 1,
)
;

$installdefs = array(
        'id' => 'package_ce_logic_hooks',

    'logic_hooks' => array(
//Lev_Contracts
        array(
            'module' => 'Lev_Contracts',
            'hook' => 'before_save',
            'order' => 1,
            'description' => 'Set Contract ID',
            'file' => 'custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php',
            'class' => 'Lev_Contracts_Logic_Hooks',
            'function' => 'Set_Contract_ID'
        ),	
        array(
            'module' => 'Lev_Contracts',
            'hook' => 'before_save',
            'order' => 2,
            'description' => 'Set Name',
            'file' => 'custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php',
            'class' => 'Lev_Contracts_Logic_Hooks',
            'function' => 'Set_Name'
        ),	
        array(
            'module' => 'Lev_Contracts',
            'hook' => 'before_save',
            'order' => 3,
            'description' => 'Set Contract Amount',
            'file' => 'custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php',
            'class' => 'Lev_Contracts_Logic_Hooks',
            'function' => 'Set_Contract_Amount'
        ),	
        array(
            'module' => 'Lev_Contracts',
            'hook' => 'before_save',
            'order' => 4,
            'description' => 'Set Contract Expense',
            'file' => 'custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php',
            'class' => 'Lev_Contracts_Logic_Hooks',
            'function' => 'Set_Contract_Expense',
        ),	
        array(
            'module' => 'Lev_Contracts',
            'hook' => 'before_save',
            'order' => 5,
            'description' => 'Set Contract Net',
            'file' => 'custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php',
            'class' => 'Lev_Contracts_Logic_Hooks',
            'function' => 'Set_Contract_Net'
        ),	
        array(
            'module' => 'Lev_Contracts',
            'hook' => 'before_save',
            'order' => 6,
            'description' => 'Set Contract Gross',
            'file' => 'custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php',
            'class' => 'Lev_Contracts_Logic_Hooks',
            'function' => 'Set_Contract_Gross'
        ),	
        array(
            'module' => 'Lev_Contracts',
            'hook' => 'before_save',
            'order' => 7,
            'description' => 'Set Start Day of Week',
            'file' => 'custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php',
            'class' => 'Lev_Contracts_Logic_Hooks',
            'function' => 'Set_Start_Day'
        ),	
        array(
            'module' => 'Lev_Contracts',
            'hook' => 'before_save',
            'order' => 8,
            'description' => 'Set End Day of Week',
            'file' => 'custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php',
            'class' => 'Lev_Contracts_Logic_Hooks',
            'function' => 'Set_End_Day'
        ),	
        array(
            'module' => 'Lev_Contracts',
            'hook' => 'before_save',
            'order' => 9,
            'description' => 'Set Academic Period',
            'file' => 'custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php',
            'class' => 'Lev_Contracts_Logic_Hooks',
            'function' => 'Set_Academic_Period'
        ),	
//Lev_Courses
        array(
            'module' => 'Lev_Courses',
            'hook' => 'before_save',
            'order' => 1,
            'description' => 'Set Course Name',
            'file' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
            'class' => 'Courses_Logic_Hooks',
            'function' => 'Set_Course_Name'
        ),	
        array(
            'module' => 'Lev_Courses',
            'hook' => 'before_save',
            'order' => 2,
            'description' => 'Set Start Date',
            'file' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
            'class' => 'Courses_Logic_Hooks',
            'function' => 'Set_Start_Date'
        ),	
        array(
            'module' => 'Lev_Courses',
            'hook' => 'before_save',
            'order' => 3,
            'description' => 'Set End Date',
            'file' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
            'class' => 'Courses_Logic_Hooks',
            'function' => 'Set_End_Date'
        ),	
        array(
            'module' => 'Lev_Courses',
            'hook' => 'before_save',
            'order' => 4,
            'description' => 'Set Academic Period',
            'file' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
            'class' => 'Courses_Logic_Hooks',
            'function' => 'Set_Academic_Period'
        ),	
        array(
            'module' => 'Lev_Courses',
            'hook' => 'before_save',
            'order' => 5,
            'description' => 'Set Total Fee',
            'file' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
            'class' => 'Courses_Logic_Hooks',
            'function' => 'Set_Total_Fee'
        ),	
        array(
            'module' => 'Lev_Courses',
            'hook' => 'before_save',
            'order' => 6,
            'description' => 'Set Course Total Expense',
            'file' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
            'class' => 'Courses_Logic_Hooks',
            'function' => 'Set_Total_Course_Expense'
        ),	
        array(
            'module' => 'Lev_Courses',
            'hook' => 'before_save',
            'order' => 7,
            'description' => 'Set Course Net',
            'file' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
            'class' => 'Courses_Logic_Hooks',
            'function' => 'Set_Course_Net'
        ),	
        array(
            'module' => 'Lev_Courses',
            'hook' => 'before_save',
            'order' => 8,
            'description' => 'Set Gross Margin Percent',
            'file' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
            'class' => 'Courses_Logic_Hooks',
            'function' => 'Set_Gross_Margin_Percent'
        ),	
        array(
            'module' => 'Lev_Courses',
            'hook' => 'before_save',
            'order' => 9,
            'description' => 'Set Course Total Expense',
            'file' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
            'class' => 'Courses_Logic_Hooks',
            'function' => 'Set_Total_Course_Expense'
        ),	
        array(
            'module' => 'Lev_Courses',
            'hook' => 'before_save',
            'order' => 10,
            'description' => 'Set Course Net',
            'file' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
            'class' => 'Courses_Logic_Hooks',
            'function' => 'Set_Course_Net'
        ),	
        array(
            'module' => 'Lev_Courses',
            'hook' => 'after_retrieve',
            'description' => 'Check Whether to Highlight Title',
            'file' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
            'class' => 'Courses_Logic_Hooks',
            'function' => 'setAlertField',
            'order' => 1,
        ),	
        array(
            'module' => 'Lev_Courses',
            'hook' => 'after_save',
            'order' => 1,
            'description' => 'update parent',
            'file' => 'custom/Resources/logic_hooks/Lev_Courses_Logic_Hooks.php',
            'class' => 'Lev_Courses_Logic_Hooks',
            'function' => 'saveParentCourse'
        ),	

        array(
            'module' => 'Lev_Course_Class_Dates',
            'hook' => 'before_save',
            'order' => 1,
            'description' => 'Update time field',
            'file' => 'custom/Resources/logic_hooks/Lev_Course_Class_Dates_Logic_Hooks.php',
            'class' => 'Lev_Course_Class_Dates_Logic_Hooks',
            'function' => 'timeFieldUpdate',
        ),
  
        array(
            'module' => 'Lev_Course_Class_Dates',
            'hook' => 'before_save',
            'order' => 2,
            'description' => 'Set day of week',
            'file' => 'custom/Resources/logic_hooks/Lev_Course_Class_Dates_Logic_Hooks.php',
            'class' => 'Lev_Course_Class_Dates_Logic_Hooks',
            'function' => 'setDayOfWeek',
        ),

        array(
            'module' => 'Lev_Course_Class_Dates',
            'hook' => 'after_save',
            'order' => 1,
            'description' => 'Save Parent(Course)',
            'file' => 'custom/Resources/logic_hooks/Lev_Course_Class_Dates_Logic_Hooks.php',
            'class' => 'Lev_Course_Class_Dates_Logic_Hooks',
            'function' => 'saveParentCourse',
        ),

  ),
	'copy' => array(
		array(
			'from' => '<basepath>/Files/custom/Resources/logic_hooks/Course_Costs_Logic_Hooks.php',
			'to' => 'custom/Resources/logic_hooks/Course_Costs_Logic_Hooks.php',
		),
        array(
			'from' => '<basepath>/Files/custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
			'to' => 'custom/Resources/logic_hooks/Courses_Logic_Hooks.php',
		),
        array(
			'from' => '<basepath>/Files/custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php',
			'to' => 'custom/Resources/logic_hooks/Lev_Contracts_Logic_Hooks.php',
		),
        array(
			'from' => '<basepath>/Files/custom/Resources/logic_hooks/Lev_Course_Class_Dates_Logic_Hooks.php',
			'to' => 'custom/Resources/logic_hooks/Lev_Course_Class_Dates_Logic_Hooks.php',
		),

    ),
);


?>